...
 
Commits (4)
ppp (2.4.7-2+1) UNRELEASED; urgency=medium
* Switch to debhelper compat level 10.
* Switch to debhelper compat level 11.
- Set debian/compat to 10.
- Bump Build-Depends on debhelper to >= 10~.
- Bump Build-Depends on debhelper to >= 11~.
- Remove Build-Depends on dh-systemd.
- Remove implicit --with systemd from debian/rules.
* Update Standards-Version to 4.1.2:
- Switch to dh_installsystemd helper.
* Update Standards-Version to 4.1.3:
- Remove Priority extra from ppp-dev.
* debian/rules: use dpkg helpers for parsing debian/changelog.
* Incorporate the EAP-TLS patch for pppd: (Closes: #602503)
......@@ -34,6 +35,9 @@ ppp (2.4.7-2+1) UNRELEASED; urgency=medium
patches.
* Tweak pon and poff bash-completions files for new versions of
bash-completion. (Closes: #882199)
* debian/ppp-udeb.postinst: consider interface names using udev predictable
interface naming. (Closes: #873391)
* d/control: declare that the build requires root.
-- Chris Boot <bootc@debian.org> Sun, 17 Dec 2017 12:35:51 +0000
......
......@@ -5,14 +5,15 @@ Homepage: http://ppp.samba.org/
Maintainer: Chris Boot <bootc@debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Build-Depends:
debhelper (>= 10~),
debhelper (>= 11~),
libpam0g-dev,
libpcap0.8-dev,
libssl-dev,
zlib1g-dev,
Standards-Version: 4.1.2
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pkg-ppp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pkg-ppp.git
Rules-Requires-Root: binary-targets
Package: ppp
Architecture: linux-any
......
......@@ -3,7 +3,7 @@ set -e
. /usr/share/debconf/confmodule
INTERFACES=$(grep : /proc/net/dev | cut -d':' -f1 | sort | sed -e 's/ *//' | grep -E '^(eth|nas|tap|nic-)')
INTERFACES=$(grep : /proc/net/dev | cut -d':' -f1 | sort | sed -e 's/ *//' | grep -E '^(en|eth|nas|tap|nic-)')
db_get ppp/interface
PPPOE="$RET"
db_capb backup
......
......@@ -119,14 +119,11 @@ override_dh_installexamples-arch:
mv $(DIR_PPP)/usr/share/doc/ppp/examples/autopppd \
$(DIR_PPP)/usr/share/doc/ppp/examples/scripts/
override_dh_systemd_enable:
dh_systemd_enable --name=pppd-dns
override_dh_installinit:
dh_installinit --name=pppd-dns --no-start
dh_installinit --name=pppd-dns --no-stop-on-upgrade --no-start
override_dh_systemd_start:
dh_systemd_start --name=pppd-dns --no-start
override_dh_installsystemd:
dh_installsystemd --name=pppd-dns --no-stop-on-upgrade --no-start
override_dh_perl:
dh_perl -d --package=ppp-dev
......